<?php

namespace App\Classes\Modules\Unity\Processors;

use Config;
use Illuminate\Support\Facades\Http;
use App\Classes\Modules\Unity\Services\CreatesEntitySignature;

class CreateEntitySignatureProcessor
{
    private $createsEntitySignature;

    public function __construct(CreatesEntitySignature $createsEntitySignature)
    {
        $this->createsEntitySignature = $createsEntitySignature;
    }

    public function execute(string $entity_hash_id){
        return $this->createsEntitySignature->execute($entity_hash_id);
    }
}
